if cc==nil then cc={} end
cc.Blutsauger={}
cc.Blutsauger.syringe={}

cc.Blutsauger.gfx_wpn=loadgfx("weapons/TF2/Blutsauger.png")
setmidhandle(cc.Blutsauger.gfx_wpn)
cc.Blutsauger.gfx_pro=loadgfx("weapons/TF2/syringe.png")
setmidhandle(cc.Blutsauger.gfx_pro)
cc.Blutsauger.sfx_attack=loadsfx("arrow_shoot.ogg")
cc.Blutsauger.sfx_impact=loadsfx("arrow_impact.ogg")	

cc.Blutsauger.id=addweapon("cc.Blutsauger","Blutsauger",cc.Blutsauger.gfx_wpn,2,2)
cc.Blutsauger.ammo=20

function cc.Blutsauger.draw()
	setblend(blend_alpha)
	setalpha(1)
	drawinhand(cc.Blutsauger.gfx_wpn,6,0,0.8)
	if cc.Blutsauger.ammo-weapon_shots>0 then
		hudammobar(cc.Blutsauger.ammo-weapon_shots,cc.Blutsauger.ammo)
	end
	if cc.Blutsauger.ammo-weapon_shots>0 then
		hudcrosshair(7,3)
	end
end

function cc.Blutsauger.attack(attack)
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if weapon_shots<cc.Blutsauger.ammo and weapon_timer<=0 and attack==1 then
		useweapon(0)
		weapon_timer=10
		playsound(cc.Blutsauger.sfx_attack)
		weapon_shots=weapon_shots+1
		id=createprojectile(cc.Blutsauger.syringe.id)
		projectiles[id]={}
		projectiles[id].ignore=playercurrent()
		projectiles[id].x=getplayerx(0)+(7*getplayerdirection(0))-math.sin(math.rad(getplayerrotation(0)))*5.0
		projectiles[id].y=getplayery(0)+3+math.cos(math.rad(getplayerrotation(0)))*5.0
		projectiles[id].sx=math.sin(math.rad(getplayerrotation(0)))*10.0
		projectiles[id].sy=-math.cos(math.rad(getplayerrotation(0)))*10.0
		projectiles[id].x=projectiles[id].x-projectiles[id].sx*1.5
		projectiles[id].y=projectiles[id].y-projectiles[id].sy*1.5
		for i=1,3,1 do
			if cc.Blutsauger.syringe.move(id)==1 then
				break
			end
		end
		recoil(3)
		particle(p_muzzle,getplayerx(0)+(getplayerdirection(0)*7)+math.sin(math.rad(getplayerrotation(0)))*16,getplayery(0)+3-math.cos(math.rad(getplayerrotation(0)))*16)
		particle(p_smoke,getplayerx(0)+(getplayerdirection(0)*7)+math.sin(math.rad(getplayerrotation(0)))*16,getplayery(0)+3-math.cos(math.rad(getplayerrotation(0)))*16)
		particlespeed(-0.2+math.random()*0.4+getwind()*10.0,-1.0+math.random()*0.6)
		particlefadealpha(0.005)
		if (weapon_shots>=cc.Blutsauger.ammo) then
			endturn()
		end
	end
end

cc.Blutsauger.syringe.id=addprojectile("cc.Blutsauger.syringe")

function cc.Blutsauger.syringe.draw(id)
	setrotation(math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy)))
	drawimage(cc.Blutsauger.gfx_pro,projectiles[id].x,projectiles[id].y)
	outofscreenarrow(projectiles[id].x,projectiles[id].y)
end

function cc.Blutsauger.syringe.update(id)
	projectiles[id].sx=projectiles[id].sx+getwind()*0.02
	projectiles[id].sy=projectiles[id].sy+getgravity()*0.75
	cc.Blutsauger.syringe.move(id)
end

function cc.Blutsauger.syringe.move(id)
	rot=math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy))
	msubt=math.ceil(math.max(math.abs(projectiles[id].sx),math.abs(projectiles[id].sy))/3)
	msubx=projectiles[id].sx/msubt
	msuby=projectiles[id].sy/msubt
	for i=1,msubt,1 do
		projectiles[id].x=projectiles[id].x+msubx
		projectiles[id].y=projectiles[id].y+msuby		
		if collision(col3x3,projectiles[id].x+math.sin(math.rad(rot))*20,projectiles[id].y-math.cos(math.rad(rot))*20,1,1)==1 then
			if terraincollision()==1 or playercollision()~=projectiles[id].ignore then
				if playercollision()~=0 then
					playerpush(playercollision(),projectiles[id].sx/10.0,projectiles[id].sy/10.0)
					playerdamage(playercollision(),2)
					playerheal(0,1)
					blood(projectiles[id].x+math.sin(math.rad(rot))*20,projectiles[id].y-math.cos(math.rad(rot))*20)				end
				for j=20,22,1 do
					terraincircle(projectiles[id].x+math.sin(math.rad(rot))*j,projectiles[id].y-math.cos(math.rad(rot))*j,3,0x00000000)
				end
				playsound(cc.Blutsauger.sfx_impact)
				particle(p_smoke,projectiles[id].x+math.sin(math.rad(rot))*21,projectiles[id].y-math.cos(math.rad(rot))*21)
				particlefadealpha(0.006)
				particle(p_muzzle,projectiles[id].x+math.sin(math.rad(rot))*21,projectiles[id].y-math.cos(math.rad(rot))*21)
				freeprojectile(id)
				return 1
			end
		else
			projectiles[id].ignore=0
		end
		if (projectiles[id].y)>getwatery()+5 then
			particle(p_waterhit,projectiles[id].x,projectiles[id].y)
			if math.random(1,2)==1 then
				playsound(sfx_hitwater2)
			else
				playsound(sfx_hitwater3)
			end
			freeprojectile(id)
			return 1
		end
	end
end